sudo: false
# need to declare the language as well as the matrix below
language: node_js
# having top-level `env:` adds a phantom build
# https://github.com/travis-ci/travis-ci/issues/4681
#env: DEPLOY_VERSION=testing
matrix:
  include:
    # LTS is our most important target
    - node_js: "4"
      # DEPLOY_VERSION is used to set the couchapp setup mode for test/tap/registry.js
      # only gather coverage info for LTS
      env: DEPLOY_VERSION=testing COVERALLS_REPO_TOKEN="$COVERALLS_OPTIONAL_TOKEN"
    # next LTS and master is next most important
    - node_js: "6"
      env: DEPLOY_VERSION=testing
    # still in LTS maintenance until fall 2016 (also still in wide use)
    - node_js: "0.10"
      env: DEPLOY_VERSION=testing
    # will be unsupported as soon as 6 becomes LTS and 7 released
    - node_js: "5"
      env: DEPLOY_VERSION=testing
    # technically in LTS / distros, unbeloved
    - node_js: "0.12"
      env: DEPLOY_VERSION=testing
before_install:
  # explicitly install rimraf for LTS self-install
  - "npm install -g rimraf"
  - "node . install -g ."
  # required by test/tap/registry.js
  - "mkdir -p /var/run/couchdb"
notifications:
    slack: npm-inc:kRqQjto7YbINqHPb1X6nS3g8
